{
    attributes = (
        {
            columnName = "C_BAP"; 
            externalType = VARCHAR2; 
            name = cBap; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            columnName = "C_SPECIALITE"; 
            externalType = VARCHAR2; 
            name = cSpecialiteItarf; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LC_SPECIALITE"; 
            externalType = VARCHAR2; 
            name = lcSpecialite; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LL_SPECIALITE_ITARF"; 
            externalType = VARCHAR2; 
            name = llSpecialiteItarf; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 60; 
        }
    ); 
    attributesUsedForLocking = (cBap, cSpecialiteItarf, lcSpecialite, llSpecialiteItarf); 
    className = "org.cocktail.connecteur.common.modele.grhum.nomenclature.EOSpecialiteItarf"; 
    classProperties = (
        cBap, 
        lcSpecialite, 
        llSpecialiteItarf, 
        dCreation, 
        dModification, 
        cSpecialiteItarf
    ); 
    externalName = "GRHUM.SPECIALITE_ITARF"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (cBap, cSpecialiteItarf, lcSpecialite, llSpecialiteItarf); 
    }; 
    name = SpecialiteItarf; 
    primaryKeyAttributes = (cBap, cSpecialiteItarf); 
}
